%define url_ver %(echo %{version} | cut -d. -f1,2)

%define api		2.0
%define major		3
%define girmajor	2.0
%define libname		%mklibname %{name} %{api} %{major}
%define girname		%mklibname %{name}-gir %{girmajor}
%define devname		%mklibname -d %{name}

Name:           gupnp-dlna
Version:        0.10.5
Release:        %mkrel 3
Summary:        A collection of helpers for building UPnP dlna applications
Group:		System/Libraries
License:        LGPLv2+
URL:            http://www.gupnp.org/
Source0:        https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(libxml-2.0) >= 2.5.0
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	gtk-doc
BuildRequires:	vala-tools >= 0.18.0

%description
GUPnP is an object-oriented open source framework for creating UPnP devices and
control points, written in C using GObject and libsoup. The GUPnP API is
intended to be easy to use, efficient and flexible.

GUPnP DLNA is a small utility library that aims to ease the
DLNA-related tasks such as media profile guessing, transcoding to
a given profile, etc.

%package -n %{libname}
Summary:	A collection of helpers for building UPnP DLNA applications
Group:		System/Libraries

%description -n %{libname}
GUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The GUPnP API is intended to be easy to use, efficient and flexible.

GUPnP DLNA is a small utility library that aims to ease the
DLNA-related tasks such as media profile guessing, transcoding to
a given profile, etc.

%package -n %{devname}
Summary:	Development package for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Conflicts:	%{_lib}gupnp-dlna2.0_3 < 0.10.2-3

%description -n %{devname}
Files for development with %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files
%{_bindir}/%{name}-*
%{_datadir}/%{name}-%{api}

%files -n %{libname}
%doc AUTHORS COPYING README
%{_libdir}/%{name}/libgstreamer.so
%{_libdir}/lib%{name}-%{api}.so.%{major}{,.*}
%{_libdir}/lib%{name}-gst-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GUPnPDLNA-%{girmajor}.typelib
%{_libdir}/girepository-1.0/GUPnPDLNAGst-%{girmajor}.typelib

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/%{name}
%doc %{_datadir}/gtk-doc/html/%{name}-metadata
%doc %{_datadir}/gtk-doc/html/%{name}-gst
%{_includedir}/*
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/pkgconfig/%{name}-gst-%{api}.pc
%{_libdir}/pkgconfig/%{name}-metadata-2.0.pc
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/lib%{name}-gst-%{api}.so
%{_datadir}/vala/vapi/*
%{_datadir}/gir-1.0/GUPnPDLNA-%{girmajor}.gir
%{_datadir}/gir-1.0/GUPnPDLNAGst-%{girmajor}.gir


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 0.10.5-3.mga8
+ Revision: 1512913
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.10.5-2.mga7
+ Revision: 1298148
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Mon Jun 27 2016 ovitters <ovitters> 0.10.5-1.mga6
+ Revision: 1037926
- new version 0.10.5

* Tue Feb 09 2016 ovitters <ovitters> 0.10.4-1.mga6
+ Revision: 951161
- new version 0.10.4

* Wed Jul 01 2015 ovitters <ovitters> 0.10.3-1.mga6
+ Revision: 849227
- new version 0.10.3

* Mon Jun 29 2015 wally <wally> 0.10.2-7.mga6
+ Revision: 847518
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 0.10.2-6.mga5
+ Revision: 741042
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 0.10.2-5.mga5
+ Revision: 724907
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.10.2-4.mga5
+ Revision: 680050
- Mageia 5 Mass Rebuild

* Mon Dec 09 2013 wally <wally> 0.10.2-3.mga4
+ Revision: 556052
- move devel files to devel pkg (mga#11907)

* Sat Oct 19 2013 umeabot <umeabot> 0.10.2-2.mga4
+ Revision: 525586
- Mageia 4 Mass Rebuild

* Fri May 31 2013 dams <dams> 0.10.2-1.mga4
+ Revision: 433728
- new version 0.10.2

* Fri Apr 19 2013 fwang <fwang> 0.10.1-2.mga3
+ Revision: 410484
- update file list
- build vapi as used by rygel

* Fri Apr 12 2013 dams <dams> 0.10.1-1.mga3
+ Revision: 409814
- new version 0.10.1
- update BR
+ ovitters <ovitters>
- new version 0.10.0
- new version 0.8.0
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 18 2012 ovitters <ovitters> 0.6.6-1.mga2
+ Revision: 223803
- new version 0.6.6

* Mon Feb 13 2012 fwang <fwang> 0.6.5-1.mga2
+ Revision: 208412
- update file list
- new version 0.6.5

* Thu Oct 20 2011 wally <wally> 0.6.4-1.mga2
+ Revision: 156950
- new version 0.6.4

* Tue Sep 27 2011 wally <wally> 0.6.3-1.mga2
+ Revision: 149570
- new version 0.6.3
- enable introspection

* Tue Sep 27 2011 wally <wally> 0.6.1-1.mga2
+ Revision: 149440
- get rid of .la files
- clean .spec
- imported package gupnp-dlna


* Fri Apr 15 2011 Funda Wang <fwang@mandriva.org> 0.6.1-1mdv2011.0
+ Revision: 653183
- import gupnp-dlna

